Loading...
Searching...
No Matches
RIPEMD
libavutil » Crypto and Hashing » Hash Functions

RIPEMD hash function implementation. More...

## Files

file | ripemd.h
| Public header for RIPEMD hash function implementation.

## Functions

struct AVRIPEMD * | av_ripemd_alloc (void)
| Allocate an AVRIPEMD context.
int | av_ripemd_init (struct AVRIPEMD *context, int bits)
| Initialize RIPEMD hashing.
void | av_ripemd_update (struct AVRIPEMD *context, const uint8_t *data, size_t len)
| Update hash value.
void | av_ripemd_final (struct AVRIPEMD *context, uint8_t *digest)
| Finish hashing and output digest value.

## Variables

const int | av_ripemd_size

## Detailed Description

RIPEMD hash function implementation.

## Function Documentation

## av_ripemd_alloc()

struct AVRIPEMD * av_ripemd_alloc | ( | void |  | ) |

Allocate an AVRIPEMD context.

## av_ripemd_init()

int av_ripemd_init | ( | struct AVRIPEMD * | context,
|  | int | bits )

Initialize RIPEMD hashing.

Parameters

  context | pointer to the function context (of size av_ripemd_size)
  bits | number of bits in digest (128, 160, 256 or 320 bits)

Returns
  zero if initialization succeeded, -1 otherwise

## av_ripemd_update()

void av_ripemd_update | ( | struct AVRIPEMD * | context,
|  | const uint8_t * | data,
|  | size_t | len )

Update hash value.

Parameters

  context | hash function context
  data | input data to update hash with
  len | input data length

## av_ripemd_final()

void av_ripemd_final | ( | struct AVRIPEMD * | context,
|  | uint8_t * | digest )

Finish hashing and output digest value.

Parameters

  context | hash function context
  digest | buffer where output digest value is stored

## Variable Documentation

## av_ripemd_size

const int av_ripemd_size

extern